Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.persistence
Class HibernateSessionInvocationHandler

    java.lang.Object
      org.jboss.seam.persistence.HibernateSessionInvocationHandler

All Implemented Interfaces:
  Serializable, InvocationHandler, org.hibernate.engine.jdbc.LobCreationContext, org.hibernate.engine.spi.SessionImplementor, org.hibernate.event.spi.EventSource, org.hibernate.Session, org.hibernate.SharedSessionContract

    public class HibernateSessionInvocationHandler

extends Object
implements InvocationHandler, Serializable, org.hibernate.event.spi.EventSource

InvocationHandler that proxies the Session, and implements EL interpolation in HQL. Needs to implement SessionImplementor because DetachedCriteria casts the Session to SessionImplementor.

Author:
  Gavin King, Emmanuel Bernard, Mike Youngstrom, Marek Novotny
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.engine.jdbc.LobCreationContext
`org.hibernate.engine.jdbc.LobCreationContext.Callback<T>`

Nested classes/interfaces inherited from interface org.hibernate.Session
`org.hibernate.Session.LockRequest`

Constructor Summary
`HibernateSessionInvocationHandler(org.hibernate.Session paramDelegate)`

Method Summary
`void` | `afterScrollOperation()`
`void` | `applyNonFlushedChanges(org.hibernate.engine.spi.NonFlushedChanges nonFlushedChanges)`
`org.hibernate.Transaction` | `beginTransaction()`
`String` | `bestGuessEntityName(Object paramObject)`
`org.hibernate.Session.LockRequest` | `buildLockRequest(org.hibernate.LockOptions lockOptions)`
`org.hibernate.IdentifierLoadAccess` | `byId(Class entityClass)`
`org.hibernate.IdentifierLoadAccess` | `byId(String entityName)`
`org.hibernate.NaturalIdLoadAccess` | `byNaturalId(Class entityClass)`
`org.hibernate.NaturalIdLoadAccess` | `byNaturalId(String entityName)`
`org.hibernate.SimpleNaturalIdLoadAccess` | `bySimpleNaturalId(Class entityClass)`
`org.hibernate.SimpleNaturalIdLoadAccess` | `bySimpleNaturalId(String entityName)`
`void` | `cancelQuery()`
`void` | `clear()`
`Connection` | `close()`
`Connection` | `connection()`
`boolean` | `contains(Object paramObject)`
`org.hibernate.Criteria` | `createCriteria(Class paramClass)`
`org.hibernate.Criteria` | `createCriteria(Class paramClass, String paramString)`
`org.hibernate.Criteria` | `createCriteria(String paramString)`
`org.hibernate.Criteria` | `createCriteria(String paramString1, String paramString2)`
`org.hibernate.Query` | `createFilter(Object paramObject, String paramString)`
`org.hibernate.Query` | `createQuery(String paramString)`
`org.hibernate.SQLQuery` | `createSQLQuery(String paramString)`
`void` | `delete(Object paramObject)`
`void` | `delete(String paramString, Object paramObject)`
`void` | `delete(String paramString, Object paramObject, boolean paramBoolean, Set paramSet)`
`void` | `disableFetchProfile(String paramString)`
`void` | `disableFilter(String paramString)`
`void` | `disableTransactionAutoJoin()`
`Connection` | `disconnect()`
`
`<T> T`
` | `doReturningWork(org.hibernate.jdbc.ReturningWork<T> work)`
`void` | `doWork(org.hibernate.jdbc.Work paramWork)`
`void` | `enableFetchProfile(String paramString)`
`org.hibernate.Filter` | `enableFilter(String paramString)`
`void` | `evict(Object paramObject)`
`
`<T> T`
` | `execute(org.hibernate.engine.jdbc.LobCreationContext.Callback<T> callback)`
`int` | `executeNativeUpdate(org.hibernate.engine.query.spi.sql.NativeSQLQuerySpecification paramNativeSQLQuerySpecification, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`int` | `executeUpdate(String paramString, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`void` | `flush()`
`void` | `forceFlush(org.hibernate.engine.spi.EntityEntry paramEntityEntry)`
`org.hibernate.cache.spi.CacheKey` | `generateCacheKey(Serializable id, org.hibernate.type.Type type, String entityOrRoleName)`
`org.hibernate.engine.spi.EntityKey` | `generateEntityKey(Serializable id, org.hibernate.persister.entity.EntityPersister persister)`
`Object` | `get(Class paramClass, Serializable paramSerializable)`
`Object` | `get(Class paramClass, Serializable paramSerializable, org.hibernate.LockMode paramLockMode)`
`Object` | `get(Class clazz, Serializable id, org.hibernate.LockOptions lockOptions)`
`Object` | `get(String paramString, Serializable paramSerializable)`
`Object` | `get(String paramString, Serializable paramSerializable, org.hibernate.LockMode paramLockMode)`
`Object` | `get(String entityName, Serializable id, org.hibernate.LockOptions lockOptions)`
`org.hibernate.engine.spi.ActionQueue` | `getActionQueue()`
`org.hibernate.CacheMode` | `getCacheMode()`
`Serializable` | `getContextEntityIdentifier(Object paramObject)`
`org.hibernate.LockMode` | `getCurrentLockMode(Object paramObject)`
`int` | `getDontFlushFromFind()`
`org.hibernate.Filter` | `getEnabledFilter(String paramString)`
`Map` | `getEnabledFilters()`
`String` | `getEntityName(Object paramObject)`
`org.hibernate.persister.entity.EntityPersister` | `getEntityPersister(String paramString, Object paramObject)`
`Object` | `getEntityUsingInterceptor(org.hibernate.engine.spi.EntityKey paramEntityKey)`
`org.hibernate.engine.spi.SessionFactoryImplementor` | `getFactory()`
`String` | `getFetchProfile()`
`org.hibernate.type.Type` | `getFilterParameterType(String paramString)`
`Object` | `getFilterParameterValue(String paramString)`
`org.hibernate.FlushMode` | `getFlushMode()`
`Serializable` | `getIdentifier(Object paramObject)`
`org.hibernate.Interceptor` | `getInterceptor()`
`org.hibernate.engine.jdbc.spi.JdbcConnectionAccess` | `getJdbcConnectionAccess()`
`org.hibernate.engine.spi.LoadQueryInfluencers` | `getLoadQueryInfluencers()`
`org.hibernate.LobHelper` | `getLobHelper()`
`org.hibernate.Query` | `getNamedQuery(String paramString)`
`org.hibernate.Query` | `getNamedSQLQuery(String paramString)`
`org.hibernate.engine.spi.NonFlushedChanges` | `getNonFlushedChanges()`
`org.hibernate.engine.spi.PersistenceContext` | `getPersistenceContext()`
`org.hibernate.SessionFactory` | `getSessionFactory()`
`org.hibernate.stat.SessionStatistics` | `getStatistics()`
`String` | `getTenantIdentifier()`
`long` | `getTimestamp()`
`org.hibernate.Transaction` | `getTransaction()`
`org.hibernate.engine.transaction.spi.TransactionCoordinator` | `getTransactionCoordinator()`
`org.hibernate.TypeHelper` | `getTypeHelper()`
`String` | `guessEntityName(Object paramObject)`
`protected Object` | `handleCreateQueryWithString(Method method, Object[] args)`
`protected Object` | `handleReconnectNoArg(Method method)`
`Object` | `immediateLoad(String paramString, Serializable paramSerializable)`
`void` | `initializeCollection(org.hibernate.collection.spi.PersistentCollection paramPersistentCollection, boolean paramBoolean)`
`Object` | `instantiate(org.hibernate.persister.entity.EntityPersister paramEntityPersister, Serializable paramSerializable)`
`Object` | `instantiate(String paramString, Serializable paramSerializable)`
`Object` | `internalLoad(String paramString, Serializable paramSerializable, boolean paramBoolean1, boolean paramBoolean2)`
`Object` | `invoke(Object proxy, Method method, Object[] args)`
`boolean` | `isClosed()`
`boolean` | `isConnected()`
`boolean` | `isDefaultReadOnly()`
`boolean` | `isDirty()`
`boolean` | `isEventSource()`
`boolean` | `isFetchProfileEnabled(String paramString)`
`boolean` | `isOpen()`
`boolean` | `isReadOnly(Object paramObject)`
`boolean` | `isTransactionInProgress()`
`Iterator` | `iterate(String paramString, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`Iterator` | `iterateFilter(Object paramObject, String paramString, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`List` | `list(org.hibernate.internal.CriteriaImpl paramCriteriaImpl)`
`List` | `list(org.hibernate.engine.query.spi.sql.NativeSQLQuerySpecification paramNativeSQLQuerySpecification, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`List` | `list(String paramString, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`List` | `listCustomQuery(org.hibernate.loader.custom.CustomQuery paramCustomQuery, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`List` | `listFilter(Object paramObject, String paramString, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`Object` | `load(Class paramClass, Serializable paramSerializable)`
`Object` | `load(Class paramClass, Serializable paramSerializable, org.hibernate.LockMode paramLockMode)`
`Object` | `load(Class theClass, Serializable id, org.hibernate.LockOptions lockOptions)`
`void` | `load(Object paramObject, Serializable paramSerializable)`
`Object` | `load(String paramString, Serializable paramSerializable)`
`Object` | `load(String paramString, Serializable paramSerializable, org.hibernate.LockMode paramLockMode)`
`Object` | `load(String entityName, Serializable id, org.hibernate.LockOptions lockOptions)`
`void` | `lock(Object paramObject, org.hibernate.LockMode paramLockMode)`
`void` | `lock(String paramString, Object paramObject, org.hibernate.LockMode paramLockMode)`
`Object` | `merge(Object paramObject)`
`Object` | `merge(String paramString, Object paramObject)`
`void` | `merge(String paramString, Object paramObject, Map paramMap)`
`void` | `persist(Object paramObject)`
`void` | `persist(String paramString, Object paramObject)`
`void` | `persist(String paramString, Object paramObject, Map paramMap)`
`void` | `persistOnFlush(String paramString, Object paramObject, Map paramMap)`
`void` | `reconnect(Connection paramConnection)`
`void` | `refresh(Object paramObject)`
`void` | `refresh(Object paramObject, org.hibernate.LockMode paramLockMode)`
`void` | `refresh(Object object, org.hibernate.LockOptions lockOptions)`
`void` | `refresh(Object paramObject, Map paramMap)`
`void` | `refresh(String entityName, Object object)`
`void` | `refresh(String entityName, Object object, org.hibernate.LockOptions lockOptions)`
`void` | `replicate(Object paramObject, org.hibernate.ReplicationMode paramReplicationMode)`
`void` | `replicate(String paramString, Object paramObject, org.hibernate.ReplicationMode paramReplicationMode)`
`Serializable` | `save(Object paramObject)`
`Serializable` | `save(String paramString, Object paramObject)`
`void` | `saveOrUpdate(Object paramObject)`
`void` | `saveOrUpdate(String paramString, Object paramObject)`
`org.hibernate.ScrollableResults` | `scroll(org.hibernate.internal.CriteriaImpl paramCriteriaImpl, org.hibernate.ScrollMode paramScrollMode)`
`org.hibernate.ScrollableResults` | `scroll(org.hibernate.engine.query.spi.sql.NativeSQLQuerySpecification paramNativeSQLQuerySpecification, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`org.hibernate.ScrollableResults` | `scroll(String paramString, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`org.hibernate.ScrollableResults` | `scrollCustomQuery(org.hibernate.loader.custom.CustomQuery paramCustomQuery, org.hibernate.engine.spi.QueryParameters paramQueryParameters)`
`org.hibernate.SharedSessionBuilder` | `sessionWithOptions()`
`void` | `setAutoClear(boolean paramBoolean)`
`void` | `setCacheMode(org.hibernate.CacheMode paramCacheMode)`
`void` | `setDefaultReadOnly(boolean paramBoolean)`
`void` | `setFetchProfile(String paramString)`
`void` | `setFlushMode(org.hibernate.FlushMode paramFlushMode)`
`void` | `setReadOnly(Object paramObject, boolean paramBoolean)`
`void` | `update(Object paramObject)`
`void` | `update(String paramString, Object paramObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateSessionInvocationHandler

    public HibernateSessionInvocationHandler(org.hibernate.Session paramDelegate)

Method Detail

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### handleCreateQueryWithString

    protected Object handleCreateQueryWithString(Method method,
                                                 Object[] args)
                                          throws Throwable

  Throws:
    `Throwable`

### handleReconnectNoArg

    protected Object handleReconnectNoArg(Method method)
                                   throws Throwable

  Throws:
    `Throwable`

### getInterceptor

    public org.hibernate.Interceptor getInterceptor()

  Specified by:
    `getInterceptor` in interface `org.hibernate.engine.spi.SessionImplementor`

### setAutoClear

    public void setAutoClear(boolean paramBoolean)

  Specified by:
    `setAutoClear` in interface `org.hibernate.engine.spi.SessionImplementor`

### isTransactionInProgress

    public boolean isTransactionInProgress()

  Specified by:
    `isTransactionInProgress` in interface `org.hibernate.engine.spi.SessionImplementor`

### initializeCollection

    public void initializeCollection(org.hibernate.collection.spi.PersistentCollection paramPersistentCollection,
                                     boolean paramBoolean)
                              throws org.hibernate.HibernateException

  Specified by:
    `initializeCollection` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### internalLoad

    public Object internalLoad(String paramString,
                               Serializable paramSerializable,
                               boolean paramBoolean1,
                               boolean paramBoolean2)
                        throws org.hibernate.HibernateException

  Specified by:
    `internalLoad` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### immediateLoad

    public Object immediateLoad(String paramString,
                                Serializable paramSerializable)
                         throws org.hibernate.HibernateException

  Specified by:
    `immediateLoad` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `org.hibernate.engine.spi.SessionImplementor`

### getFactory

    public org.hibernate.engine.spi.SessionFactoryImplementor getFactory()

  Specified by:
    `getFactory` in interface `org.hibernate.engine.spi.SessionImplementor`

### list

    public List list(String paramString,
                     org.hibernate.engine.spi.QueryParameters paramQueryParameters)
              throws org.hibernate.HibernateException

  Specified by:
    `list` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### iterate

    public Iterator iterate(String paramString,
                            org.hibernate.engine.spi.QueryParameters paramQueryParameters)
                     throws org.hibernate.HibernateException

  Specified by:
    `iterate` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scroll

    public org.hibernate.ScrollableResults scroll(String paramString,
                                                  org.hibernate.engine.spi.QueryParameters paramQueryParameters)
                                           throws org.hibernate.HibernateException

  Specified by:
    `scroll` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scroll

    public org.hibernate.ScrollableResults scroll(org.hibernate.internal.CriteriaImpl paramCriteriaImpl,
                                                  org.hibernate.ScrollMode paramScrollMode)

  Specified by:
    `scroll` in interface `org.hibernate.engine.spi.SessionImplementor`

### list

    public List list(org.hibernate.internal.CriteriaImpl paramCriteriaImpl)

  Specified by:
    `list` in interface `org.hibernate.engine.spi.SessionImplementor`

### listFilter

    public List listFilter(Object paramObject,
                           String paramString,
                           org.hibernate.engine.spi.QueryParameters paramQueryParameters)
                    throws org.hibernate.HibernateException

  Specified by:
    `listFilter` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### iterateFilter

    public Iterator iterateFilter(Object paramObject,
                                  String paramString,
                                  org.hibernate.engine.spi.QueryParameters paramQueryParameters)
                           throws org.hibernate.HibernateException

  Specified by:
    `iterateFilter` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getEntityPersister

    public org.hibernate.persister.entity.EntityPersister getEntityPersister(String paramString,
                                                                             Object paramObject)
                                                                      throws org.hibernate.HibernateException

  Specified by:
    `getEntityPersister` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getEntityUsingInterceptor

    public Object getEntityUsingInterceptor(org.hibernate.engine.spi.EntityKey paramEntityKey)
                                     throws org.hibernate.HibernateException

  Specified by:
    `getEntityUsingInterceptor` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getContextEntityIdentifier

    public Serializable getContextEntityIdentifier(Object paramObject)

  Specified by:
    `getContextEntityIdentifier` in interface `org.hibernate.engine.spi.SessionImplementor`

### bestGuessEntityName

    public String bestGuessEntityName(Object paramObject)

  Specified by:
    `bestGuessEntityName` in interface `org.hibernate.engine.spi.SessionImplementor`

### guessEntityName

    public String guessEntityName(Object paramObject)
                           throws org.hibernate.HibernateException

  Specified by:
    `guessEntityName` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### instantiate

    public Object instantiate(String paramString,
                              Serializable paramSerializable)
                       throws org.hibernate.HibernateException

  Specified by:
    `instantiate` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### listCustomQuery

    public List listCustomQuery(org.hibernate.loader.custom.CustomQuery paramCustomQuery,
                                org.hibernate.engine.spi.QueryParameters paramQueryParameters)
                         throws org.hibernate.HibernateException

  Specified by:
    `listCustomQuery` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scrollCustomQuery

    public org.hibernate.ScrollableResults scrollCustomQuery(org.hibernate.loader.custom.CustomQuery paramCustomQuery,
                                                             org.hibernate.engine.spi.QueryParameters paramQueryParameters)
                                                      throws org.hibernate.HibernateException

  Specified by:
    `scrollCustomQuery` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### list

    public List list(org.hibernate.engine.query.spi.sql.NativeSQLQuerySpecification paramNativeSQLQuerySpecification,
                     org.hibernate.engine.spi.QueryParameters paramQueryParameters)
              throws org.hibernate.HibernateException

  Specified by:
    `list` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scroll

    public org.hibernate.ScrollableResults scroll(org.hibernate.engine.query.spi.sql.NativeSQLQuerySpecification paramNativeSQLQuerySpecification,
                                                  org.hibernate.engine.spi.QueryParameters paramQueryParameters)
                                           throws org.hibernate.HibernateException

  Specified by:
    `scroll` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getFilterParameterValue

    public Object getFilterParameterValue(String paramString)

  Specified by:
    `getFilterParameterValue` in interface `org.hibernate.engine.spi.SessionImplementor`

### getFilterParameterType

    public org.hibernate.type.Type getFilterParameterType(String paramString)

  Specified by:
    `getFilterParameterType` in interface `org.hibernate.engine.spi.SessionImplementor`

### getEnabledFilters

    public Map getEnabledFilters()

  Specified by:
    `getEnabledFilters` in interface `org.hibernate.engine.spi.SessionImplementor`

### getDontFlushFromFind

    public int getDontFlushFromFind()

  Specified by:
    `getDontFlushFromFind` in interface `org.hibernate.engine.spi.SessionImplementor`

### getPersistenceContext

    public org.hibernate.engine.spi.PersistenceContext getPersistenceContext()

  Specified by:
    `getPersistenceContext` in interface `org.hibernate.engine.spi.SessionImplementor`

### executeUpdate

    public int executeUpdate(String paramString,
                             org.hibernate.engine.spi.QueryParameters paramQueryParameters)
                      throws org.hibernate.HibernateException

  Specified by:
    `executeUpdate` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### executeNativeUpdate

    public int executeNativeUpdate(org.hibernate.engine.query.spi.sql.NativeSQLQuerySpecification paramNativeSQLQuerySpecification,
                                   org.hibernate.engine.spi.QueryParameters paramQueryParameters)
                            throws org.hibernate.HibernateException

  Specified by:
    `executeNativeUpdate` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getCacheMode

    public org.hibernate.CacheMode getCacheMode()

  Specified by:
    `getCacheMode` in interface `org.hibernate.engine.spi.SessionImplementor`
  Specified by:
    `getCacheMode` in interface `org.hibernate.Session`

### setCacheMode

    public void setCacheMode(org.hibernate.CacheMode paramCacheMode)

  Specified by:
    `setCacheMode` in interface `org.hibernate.engine.spi.SessionImplementor`
  Specified by:
    `setCacheMode` in interface `org.hibernate.Session`

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `org.hibernate.engine.spi.SessionImplementor`
  Specified by:
    `isOpen` in interface `org.hibernate.Session`

### isConnected

    public boolean isConnected()

  Specified by:
    `isConnected` in interface `org.hibernate.engine.spi.SessionImplementor`
  Specified by:
    `isConnected` in interface `org.hibernate.Session`

### getFlushMode

    public org.hibernate.FlushMode getFlushMode()

  Specified by:
    `getFlushMode` in interface `org.hibernate.engine.spi.SessionImplementor`
  Specified by:
    `getFlushMode` in interface `org.hibernate.Session`

### setFlushMode

    public void setFlushMode(org.hibernate.FlushMode paramFlushMode)

  Specified by:
    `setFlushMode` in interface `org.hibernate.engine.spi.SessionImplementor`
  Specified by:
    `setFlushMode` in interface `org.hibernate.Session`

### connection

    public Connection connection()

  Specified by:
    `connection` in interface `org.hibernate.engine.spi.SessionImplementor`

### flush

    public void flush()

  Specified by:
    `flush` in interface `org.hibernate.engine.spi.SessionImplementor`
  Specified by:
    `flush` in interface `org.hibernate.Session`

### getNamedQuery

    public org.hibernate.Query getNamedQuery(String paramString)

  Specified by:
    `getNamedQuery` in interface `org.hibernate.engine.spi.SessionImplementor`
  Specified by:
    `getNamedQuery` in interface `org.hibernate.SharedSessionContract`

### getNamedSQLQuery

    public org.hibernate.Query getNamedSQLQuery(String paramString)

  Specified by:
    `getNamedSQLQuery` in interface `org.hibernate.engine.spi.SessionImplementor`

### isEventSource

    public boolean isEventSource()

  Specified by:
    `isEventSource` in interface `org.hibernate.engine.spi.SessionImplementor`

### afterScrollOperation

    public void afterScrollOperation()

  Specified by:
    `afterScrollOperation` in interface `org.hibernate.engine.spi.SessionImplementor`

### getFetchProfile

    public String getFetchProfile()

  Specified by:
    `getFetchProfile` in interface `org.hibernate.engine.spi.SessionImplementor`

### setFetchProfile

    public void setFetchProfile(String paramString)

  Specified by:
    `setFetchProfile` in interface `org.hibernate.engine.spi.SessionImplementor`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `org.hibernate.engine.spi.SessionImplementor`

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Specified by:
    `getSessionFactory` in interface `org.hibernate.Session`

### close

    public Connection close()
                     throws org.hibernate.HibernateException

  Specified by:
    `close` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### cancelQuery

    public void cancelQuery()
                     throws org.hibernate.HibernateException

  Specified by:
    `cancelQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### isDirty

    public boolean isDirty()
                    throws org.hibernate.HibernateException

  Specified by:
    `isDirty` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### isDefaultReadOnly

    public boolean isDefaultReadOnly()

  Specified by:
    `isDefaultReadOnly` in interface `org.hibernate.Session`

### setDefaultReadOnly

    public void setDefaultReadOnly(boolean paramBoolean)

  Specified by:
    `setDefaultReadOnly` in interface `org.hibernate.Session`

### getIdentifier

    public Serializable getIdentifier(Object paramObject)
                               throws org.hibernate.HibernateException

  Specified by:
    `getIdentifier` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### contains

    public boolean contains(Object paramObject)

  Specified by:
    `contains` in interface `org.hibernate.Session`

### evict

    public void evict(Object paramObject)
               throws org.hibernate.HibernateException

  Specified by:
    `evict` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(Class paramClass,
                       Serializable paramSerializable,
                       org.hibernate.LockMode paramLockMode)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(String paramString,
                       Serializable paramSerializable,
                       org.hibernate.LockMode paramLockMode)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(Class paramClass,
                       Serializable paramSerializable)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(String paramString,
                       Serializable paramSerializable)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public void load(Object paramObject,
                     Serializable paramSerializable)
              throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### replicate

    public void replicate(Object paramObject,
                          org.hibernate.ReplicationMode paramReplicationMode)
                   throws org.hibernate.HibernateException

  Specified by:
    `replicate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### replicate

    public void replicate(String paramString,
                          Object paramObject,
                          org.hibernate.ReplicationMode paramReplicationMode)
                   throws org.hibernate.HibernateException

  Specified by:
    `replicate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### save

    public Serializable save(Object paramObject)
                      throws org.hibernate.HibernateException

  Specified by:
    `save` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### save

    public Serializable save(String paramString,
                             Object paramObject)
                      throws org.hibernate.HibernateException

  Specified by:
    `save` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdate

    public void saveOrUpdate(Object paramObject)
                      throws org.hibernate.HibernateException

  Specified by:
    `saveOrUpdate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdate

    public void saveOrUpdate(String paramString,
                             Object paramObject)
                      throws org.hibernate.HibernateException

  Specified by:
    `saveOrUpdate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### update

    public void update(Object paramObject)
                throws org.hibernate.HibernateException

  Specified by:
    `update` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### update

    public void update(String paramString,
                       Object paramObject)
                throws org.hibernate.HibernateException

  Specified by:
    `update` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### merge

    public Object merge(Object paramObject)
                 throws org.hibernate.HibernateException

  Specified by:
    `merge` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### merge

    public Object merge(String paramString,
                        Object paramObject)
                 throws org.hibernate.HibernateException

  Specified by:
    `merge` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### persist

    public void persist(Object paramObject)
                 throws org.hibernate.HibernateException

  Specified by:
    `persist` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### persist

    public void persist(String paramString,
                        Object paramObject)
                 throws org.hibernate.HibernateException

  Specified by:
    `persist` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### delete

    public void delete(Object paramObject)
                throws org.hibernate.HibernateException

  Specified by:
    `delete` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### delete

    public void delete(String paramString,
                       Object paramObject)
                throws org.hibernate.HibernateException

  Specified by:
    `delete` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### lock

    public void lock(Object paramObject,
                     org.hibernate.LockMode paramLockMode)
              throws org.hibernate.HibernateException

  Specified by:
    `lock` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### lock

    public void lock(String paramString,
                     Object paramObject,
                     org.hibernate.LockMode paramLockMode)
              throws org.hibernate.HibernateException

  Specified by:
    `lock` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(Object paramObject)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(Object paramObject,
                        org.hibernate.LockMode paramLockMode)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getCurrentLockMode

    public org.hibernate.LockMode getCurrentLockMode(Object paramObject)
                                              throws org.hibernate.HibernateException

  Specified by:
    `getCurrentLockMode` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### beginTransaction

    public org.hibernate.Transaction beginTransaction()
                                               throws org.hibernate.HibernateException

  Specified by:
    `beginTransaction` in interface `org.hibernate.SharedSessionContract`
  Throws:
    `org.hibernate.HibernateException`

### getTransaction

    public org.hibernate.Transaction getTransaction()

  Specified by:
    `getTransaction` in interface `org.hibernate.SharedSessionContract`

### createCriteria

    public org.hibernate.Criteria createCriteria(Class paramClass)

  Specified by:
    `createCriteria` in interface `org.hibernate.SharedSessionContract`

### createCriteria

    public org.hibernate.Criteria createCriteria(Class paramClass,
                                                 String paramString)

  Specified by:
    `createCriteria` in interface `org.hibernate.SharedSessionContract`

### createCriteria

    public org.hibernate.Criteria createCriteria(String paramString)

  Specified by:
    `createCriteria` in interface `org.hibernate.SharedSessionContract`

### createCriteria

    public org.hibernate.Criteria createCriteria(String paramString1,
                                                 String paramString2)

  Specified by:
    `createCriteria` in interface `org.hibernate.SharedSessionContract`

### createQuery

    public org.hibernate.Query createQuery(String paramString)
                                    throws org.hibernate.HibernateException

  Specified by:
    `createQuery` in interface `org.hibernate.SharedSessionContract`
  Throws:
    `org.hibernate.HibernateException`

### createSQLQuery

    public org.hibernate.SQLQuery createSQLQuery(String paramString)
                                          throws org.hibernate.HibernateException

  Specified by:
    `createSQLQuery` in interface `org.hibernate.SharedSessionContract`
  Throws:
    `org.hibernate.HibernateException`

### createFilter

    public org.hibernate.Query createFilter(Object paramObject,
                                            String paramString)
                                     throws org.hibernate.HibernateException

  Specified by:
    `createFilter` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.hibernate.Session`

### get

    public Object get(Class paramClass,
                      Serializable paramSerializable)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(Class paramClass,
                      Serializable paramSerializable,
                      org.hibernate.LockMode paramLockMode)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(String paramString,
                      Serializable paramSerializable)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(String paramString,
                      Serializable paramSerializable,
                      org.hibernate.LockMode paramLockMode)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getEntityName

    public String getEntityName(Object paramObject)
                         throws org.hibernate.HibernateException

  Specified by:
    `getEntityName` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### enableFilter

    public org.hibernate.Filter enableFilter(String paramString)

  Specified by:
    `enableFilter` in interface `org.hibernate.Session`

### getEnabledFilter

    public org.hibernate.Filter getEnabledFilter(String paramString)

  Specified by:
    `getEnabledFilter` in interface `org.hibernate.Session`

### disableFilter

    public void disableFilter(String paramString)

  Specified by:
    `disableFilter` in interface `org.hibernate.Session`

### getStatistics

    public org.hibernate.stat.SessionStatistics getStatistics()

  Specified by:
    `getStatistics` in interface `org.hibernate.Session`

### isReadOnly

    public boolean isReadOnly(Object paramObject)

  Specified by:
    `isReadOnly` in interface `org.hibernate.Session`

### setReadOnly

    public void setReadOnly(Object paramObject,
                            boolean paramBoolean)

  Specified by:
    `setReadOnly` in interface `org.hibernate.Session`

### doWork

    public void doWork(org.hibernate.jdbc.Work paramWork)
                throws org.hibernate.HibernateException

  Specified by:
    `doWork` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### disconnect

    public Connection disconnect()
                          throws org.hibernate.HibernateException

  Specified by:
    `disconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### reconnect

    public void reconnect(Connection paramConnection)
                   throws org.hibernate.HibernateException

  Specified by:
    `reconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### isFetchProfileEnabled

    public boolean isFetchProfileEnabled(String paramString)

  Specified by:
    `isFetchProfileEnabled` in interface `org.hibernate.Session`

### enableFetchProfile

    public void enableFetchProfile(String paramString)

  Specified by:
    `enableFetchProfile` in interface `org.hibernate.Session`

### disableFetchProfile

    public void disableFetchProfile(String paramString)

  Specified by:
    `disableFetchProfile` in interface `org.hibernate.Session`

### getActionQueue

    public org.hibernate.engine.spi.ActionQueue getActionQueue()

  Specified by:
    `getActionQueue` in interface `org.hibernate.event.spi.EventSource`

### instantiate

    public Object instantiate(org.hibernate.persister.entity.EntityPersister paramEntityPersister,
                              Serializable paramSerializable)
                       throws org.hibernate.HibernateException

  Specified by:
    `instantiate` in interface `org.hibernate.event.spi.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### forceFlush

    public void forceFlush(org.hibernate.engine.spi.EntityEntry paramEntityEntry)
                    throws org.hibernate.HibernateException

  Specified by:
    `forceFlush` in interface `org.hibernate.event.spi.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### merge

    public void merge(String paramString,
                      Object paramObject,
                      Map paramMap)
               throws org.hibernate.HibernateException

  Specified by:
    `merge` in interface `org.hibernate.event.spi.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### persist

    public void persist(String paramString,
                        Object paramObject,
                        Map paramMap)
                 throws org.hibernate.HibernateException

  Specified by:
    `persist` in interface `org.hibernate.event.spi.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### persistOnFlush

    public void persistOnFlush(String paramString,
                               Object paramObject,
                               Map paramMap)

  Specified by:
    `persistOnFlush` in interface `org.hibernate.event.spi.EventSource`

### refresh

    public void refresh(Object paramObject,
                        Map paramMap)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.event.spi.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### delete

    public void delete(String paramString,
                       Object paramObject,
                       boolean paramBoolean,
                       Set paramSet)

  Specified by:
    `delete` in interface `org.hibernate.event.spi.EventSource`

### getTenantIdentifier

    public String getTenantIdentifier()

  Specified by:
    `getTenantIdentifier` in interface `org.hibernate.engine.spi.SessionImplementor`
  Specified by:
    `getTenantIdentifier` in interface `org.hibernate.SharedSessionContract`

### getJdbcConnectionAccess

    public org.hibernate.engine.jdbc.spi.JdbcConnectionAccess getJdbcConnectionAccess()

  Specified by:
    `getJdbcConnectionAccess` in interface `org.hibernate.engine.spi.SessionImplementor`

### generateEntityKey

    public org.hibernate.engine.spi.EntityKey generateEntityKey(Serializable id,
                                                                org.hibernate.persister.entity.EntityPersister persister)

  Specified by:
    `generateEntityKey` in interface `org.hibernate.engine.spi.SessionImplementor`

### generateCacheKey

    public org.hibernate.cache.spi.CacheKey generateCacheKey(Serializable id,
                                                             org.hibernate.type.Type type,
                                                             String entityOrRoleName)

  Specified by:
    `generateCacheKey` in interface `org.hibernate.engine.spi.SessionImplementor`

### disableTransactionAutoJoin

    public void disableTransactionAutoJoin()

  Specified by:
    `disableTransactionAutoJoin` in interface `org.hibernate.engine.spi.SessionImplementor`

### getNonFlushedChanges

    public org.hibernate.engine.spi.NonFlushedChanges getNonFlushedChanges()
                                                                    throws org.hibernate.HibernateException

  Specified by:
    `getNonFlushedChanges` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### applyNonFlushedChanges

    public void applyNonFlushedChanges(org.hibernate.engine.spi.NonFlushedChanges nonFlushedChanges)
                                throws org.hibernate.HibernateException

  Specified by:
    `applyNonFlushedChanges` in interface `org.hibernate.engine.spi.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getTransactionCoordinator

    public org.hibernate.engine.transaction.spi.TransactionCoordinator getTransactionCoordinator()

  Specified by:
    `getTransactionCoordinator` in interface `org.hibernate.engine.spi.SessionImplementor`

### getLoadQueryInfluencers

    public org.hibernate.engine.spi.LoadQueryInfluencers getLoadQueryInfluencers()

  Specified by:
    `getLoadQueryInfluencers` in interface `org.hibernate.engine.spi.SessionImplementor`

### execute

    public <T> T execute(org.hibernate.engine.jdbc.LobCreationContext.Callback<T> callback)

  Specified by:
    `execute` in interface `org.hibernate.engine.jdbc.LobCreationContext`

### sessionWithOptions

    public org.hibernate.SharedSessionBuilder sessionWithOptions()

  Specified by:
    `sessionWithOptions` in interface `org.hibernate.Session`

### load

    public Object load(Class theClass,
                       Serializable id,
                       org.hibernate.LockOptions lockOptions)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(String entityName,
                       Serializable id,
                       org.hibernate.LockOptions lockOptions)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### buildLockRequest

    public org.hibernate.Session.LockRequest buildLockRequest(org.hibernate.LockOptions lockOptions)

  Specified by:
    `buildLockRequest` in interface `org.hibernate.Session`

### refresh

    public void refresh(String entityName,
                        Object object)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(Object object,
                        org.hibernate.LockOptions lockOptions)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(String entityName,
                        Object object,
                        org.hibernate.LockOptions lockOptions)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(Class clazz,
                      Serializable id,
                      org.hibernate.LockOptions lockOptions)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(String entityName,
                      Serializable id,
                      org.hibernate.LockOptions lockOptions)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### doReturningWork

    public <T> T doReturningWork(org.hibernate.jdbc.ReturningWork<T> work)
                      throws org.hibernate.HibernateException

  Specified by:
    `doReturningWork` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getTypeHelper

    public org.hibernate.TypeHelper getTypeHelper()

  Specified by:
    `getTypeHelper` in interface `org.hibernate.Session`

### getLobHelper

    public org.hibernate.LobHelper getLobHelper()

  Specified by:
    `getLobHelper` in interface `org.hibernate.Session`

### byId

    public org.hibernate.IdentifierLoadAccess byId(String entityName)

  Specified by:
    `byId` in interface `org.hibernate.Session`

### byId

    public org.hibernate.IdentifierLoadAccess byId(Class entityClass)

  Specified by:
    `byId` in interface `org.hibernate.Session`

### byNaturalId

    public org.hibernate.NaturalIdLoadAccess byNaturalId(String entityName)

  Specified by:
    `byNaturalId` in interface `org.hibernate.Session`

### byNaturalId

    public org.hibernate.NaturalIdLoadAccess byNaturalId(Class entityClass)

  Specified by:
    `byNaturalId` in interface `org.hibernate.Session`

### bySimpleNaturalId

    public org.hibernate.SimpleNaturalIdLoadAccess bySimpleNaturalId(String entityName)

  Specified by:
    `bySimpleNaturalId` in interface `org.hibernate.Session`

### bySimpleNaturalId

    public org.hibernate.SimpleNaturalIdLoadAccess bySimpleNaturalId(Class entityClass)

  Specified by:
    `bySimpleNaturalId` in interface `org.hibernate.Session`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.